petsc-3.4.2 2013-07-02

# SNESLineSearchRegisterAll

Registers all of the nonlinear solver methods in the SNESLineSearch package.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchRegisterAll(void)

Not Collective

### Keywords

SNESLineSearch, register, all

### See Also

SNESLineSearchRegisterDestroy()

Level:advanced
Location:src/snes/linesearch/interface/linesearchregi.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages